# $Revision: 1.11 $, $Date: 2010/07/08 08:10:23 $
Summary:	Feed Parser package for Python
Summary(pl.UTF-8):	Biblioteka Feed Parser dla Pythona
Name:		python-feedparser
Version:	4.1
Release:	4
License:	Python Software Foundation License
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/feedparser/feedparser-%{version}.zip
# Source0-md5:	7ab1140c1e29d4cd52ab20fa7b1f8640
URL:		http://feedparser.org/
BuildRequires:	python-devel >= 1:2.3.0
BuildRequires:	rpm-pythonprov
BuildRequires:	unzip
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides means for parsing RSS and Atom feeds in Python.

%description -l pl.UTF-8
Ten pakiet umożliwia analizę źródeł RSS i Atom w Pythonie.

%prep
%setup -qc

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name "*.py" | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{py_sitescriptdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-feedparser.spec,v $
Revision 1.11  2010/07/08 08:10:23  arekm
- release 4

Revision 1.10  2010/05/16 14:14:30  sparky
- BR: unzip

Revision 1.9  2008/10/03 17:49:44  arekm
- release 3

Revision 1.8  2008-04-14 22:01:48  qboosh
- pl fix
- use __python macro
- BR pythonprov

Revision 1.7  2007-11-27 14:11:37  patrys
- rel 2
- rebuild

Revision 1.6  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.4  2006/05/15 20:08:01  troll
- updated to 4.1

Revision 1.3  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.2  2005/02/03 18:53:15  mmazur
- arch: noarch

Revision 1.1  2005/02/03 17:34:06  mmazur
- initial; needed by pyrss
